$(document).ready(function(){
	$("#grievance-data").on("click", function(){
     if (this.checked==true) { 
            $("#c1").val($("#t10").val());
            $("#c2").val($("#t11").val());
            $("#c3").val($("#t12").val());  
            $("#c4").val($("#t13").val());
            $("#c5").val($("#vill").val());
            $("#c6").val($("#t15").val());
            $("#c7").val($("#t16").val());

    }
    
    else {
        $("#c1").val('');
        $("#c2").val('');
        $("#c3").val(''); 
        $("#c4").val(''); 
        $("#c5").val('');
        $("#c6").val('');
        $("#c7").val('');         
    }
    });

	$('#add-grievance').click(function(g){
      g.preventDefault();
      $('#t1-error').html("");
      $('#ta2-error').html("");
      $('#tc2-error').html("");
      $('#t11-error').html("");
	  $('#t12-error').html("");
	  $('#t13-error').html("");
	  $('#vill-error').html("");
	  $('#t15-error').html("");
    //Complaint Mode
      if ($('#t20').val()=='') {
        $('#t20-error').html("*Required");
        $('#t20').focus();
        return false;
      }

      //Complaint nature
      else if ($('#t21').val()=='') {
        $('#t21-error').html("*Required");
        $('#t21').focus();
        return false;
      }
      //phone number
      else if ($('#t1').val()=='') {
            $('#t1-error').html("Phone no. is required")
            $('#t1').focus();
        	return false;
      }

      else if (isNaN($('#t1').val())) {
        $('#t1-error').html("*only Number are allowed");
        $('#t1').focus();
        return false;
      }
      else if ($('#t1').val().length!=10) {
        $('#t1-error').html("*Phone no. must be of 10 digits");
        $('#t1').focus();
        return false;
      }

      //First Name
      else if ($('#ta2').val()=='') {
        $('#ta2-error').html("*first name is required");
        $('#ta2').focus();
        return false;
      }
      else if ($('#ta2').val().length < 3) {
        $('#ta2-error').html("First name must be 3 or more character");
        $('#ta2').focus();
        return false;
      }
      else if (!isNaN($('#ta2').val())) {
        $('#ta2-error').html("*Number is not allowed");
        $('#ta2').focus();
        return false;
      }

      // Last Name
      else if ($('#tc2').val()=='') {
        $('#tc2-error').html("*Last name is required");
        $('#tc2').focus();
        return false;
      }
      else if ($('#tc2').val().length < 3) {
        $('#tc2-error').html("Last name must be 3 or more character");
        $('#tc2').focus();
        return false;
      }
       else if (!isNaN($('#tc2').val())) {
        $('#tc2-error').html("*Number is not allowed");
        $('#tc2').focus();
        return false;
      }

      //Area
      else if ($('#t10').val()=='') {
        $('#t10-error').html("*Area is required");
        $('#t10').focus();
        return false;
      }

      //Ward
      else if ($('#t15').val()=='') {
        $('#t15-error').html("*Ward is required");
        $('#t15').focus();
        return false;
      }

      //Landmark
      else if ($('#t16').val()=='') {
        $('#t16-error').html("*Landmark is required");
        $('#t16').focus();
        return false;
      }

      

      //Description
      else if ($('#t22').val()=='') {
        $('#t22-error').html("*Required");
        $('#t22').focus();
        return false;
      }
      else{
        $.ajax({
          url:'grievance_data.php',
          method:'post',
          data:$('form').serialize(),
          dataType:"text",
          success:function(strMessage){
            alert(strMessage);
            window.location.reload();
          }
        });
      }



    })
})